Can't update hassio to 0.97.2

Hello, Can some help me.
I can’t update to 0.97.2

In hassio / system is see this error.

19-08-13 03:59:37 INFO (MainThread) [hassio.homeassistant] Update Home Assistant to version 0.97.2
19-08-13 03:59:37 INFO (SyncWorker_5) [hassio.docker.interface] Update image homeassistant/qemux86-64-homeassistant:0.97.0 to homeassistant/qemux86-64-homeassistant:0.97.2
19-08-13 03:59:37 INFO (SyncWorker_5) [hassio.docker.interface] Pull image homeassistant/qemux86-64-homeassistant tag 0.97.2.
19-08-13 04:00:12 ERROR (SyncWorker_5) [hassio.docker.interface] Can’t install homeassistant/qemux86-64-homeassistant:0.97.2 -> 404 Client Error: Not Found (“no such image: homeassistant/qemux86-64-homeassistant:0.97.2: No such image: homeassistant/qemux86-64-homeassistant:0.97.2”).
19-08-13 04:00:12 WARNING (MainThread) [hassio.homeassistant] Update Home Assistant image fails

thanks

Ernst-Jan

I have the same problem running on virtualbox 5.2.30

Maybe a (temporary) github error?

Having said that I just updated from 97.1 to 97.2 with no problems.

The update is now successful. I have no idea why now

The image may not have been up and ready when you tried.

Or the server may have been busy.

It’s the bloody internet, don’t expect everything to be available all of the time :slight_smile:

1 Like

yep, same issue here. Refuses to install and backs out to 0.97.1. Tries 3 times now. No luck. But my problem is more serious i guess.
I get this in the log every time: “Update for media_player.volumio fails” and “urllib3.exceptions.ProtocolError: (‘Connection aborted.’, UnknownProtocol(‘HTTP/0.0’))”

I am getting the same…

19-08-13 18:28:08 INFO (SyncWorker_3) [hassio.docker.interface] Pull image homeassistant/qemux86-64-homeassistant tag 0.97.2.

19-08-13 18:31:05 ERROR (SyncWorker_3) [hassio.docker.interface] Can’t install homeassistant/qemux86-64-homeassistant:0.97.2 -> 404 Client Error: Not Found (“no such image: homeassistant/qemux86-64-homeassistant:0.97.2: No such image: homeassistant/qemux86-64-homeassistant:0.97.2”).

so I tried to pull the image myself and got this…

sudo docker pull homeassistant/qemux86-64-homeassistant:0.97.2
0.97.2: Pulling from homeassistant/qemux86-64-homeassistant
921b31ab772b: Already exists
3c0fc86cd9c7: Already exists
d713e85c5b3b: Pull complete
23253ea528f0: Pull complete
51050266d108: Extracting [=> ] 983kB/31.63MB
236be58c47e6: Download complete
8d65ebc970a2: Download complete
8db25be3bf80: Download complete
9b52be084b44: Downloading [========================> ] 29.53MB/59.12MB
e85a3e8b9b98: Download complete
aee6c6aadbf1: Download complete
30d2d13fbfd0: Download complete
c533165e8d40: Download complete
e0a3ff6255be: Download complete
c405d6e4228e: Download complete
15ee06eb418b: Downloading [====> ] 21.55MB/223.4MB
c59ed584b246: Downloading
8f0fa28cff56: Waiting
unauthorized: authentication required

It appears that layer c59ed584b246 is from a private repo or something - I am logged into docker hub and still get this message

Problem exists for a few days now. Looks like one of the devs upped the new image and went on the plane to start his summer holiday. :slight_smile:
Oh well. I just wait patiently for the next update. My guess is that once the dev comes back from his vacation, he’ll see his mistake and fixes it as soon as possible. Then we can download the update and enjoy it.

1 Like

I need to downgrade to 0.97.1. How do I use a specific version?

In my case, i didn’t have to do anything. Tried 3 times and all of the times Hass.io backed out automatically to the previous version, 0.97.1.
If you don’t have that, you’ll have to join the beta channel.

That would be great if I had a running hassio. I don’t have a previous install - this is brand new. I do not have a UI to select a beta channel. I have access to the supervisor docker container - and that’s about it.

oof. That means you have to download a complete image from the hass.io site and update it. Lucky for you it’s only one update now, as 0.97 is the latest official version. :slight_smile:
EDIT: don’t forget to join the beta channel. :slight_smile:

I am using the hassio install to linux docker…

curl -sL “https://raw.githubusercontent.com/home-assistant/hassio-installer/master/hassio_install.sh” | bash -s

If I was using an edge device, I understand how I would do what you are asking. Using the docker method, I do not see doc on how to use a lower version.

and, btw - beta channel is using 0.97.2

curl https://version.home-assistant.io/beta.json

In that case i think i would resort to just create a whole new image from scratch. Just the whole kaboodle, including hassos and docker itself.

I am still getting this error, but I have confirmed that I can see the image exists in docker hub and it’s been more than enough time to rule out a server load issue. I’m running Hassio in a Hyper-V VM on Windows 10.